CREATE TABLE VS4TInventoryP
	(
	TInvNo nvarchar(30) NOT NULL,
	TInvMode int NULL,
	TInvTIBkCode nvarchar(30) NULL,
	TInvDate datetime NULL,
	TInvInvoiceStatus smallint NULL,
	TInvTARNCode nvarchar(30) NULL,
	TInvTInTAlias nvarchar(30) NULL,
	TInvRefNo nvarchar(30) NULL,
	TInvRefDate datetime NULL,
	TInvRefNo2 nvarchar(30) NULL,
	TInvRefDate2 datetime NULL,
	TInvRefNo3 nvarchar(30) NULL,
	TInvRefDate3 datetime NULL,
	TInvCustom1 nvarchar(30) NULL,
	TInvCustom2 nvarchar(30) NULL,
	TInvCustom3 nvarchar(30) NULL,
	TInvCustom4 nvarchar(30) NULL,
	TInvCustom5 nvarchar(30) NULL,
	TInvCustomNo nvarchar(30) NULL,
	TInvCustomDate datetime NULL,
	TInvTPrjCode nvarchar(30) NULL,
	TInvTJobNo nvarchar(30) NULL,
	TInvTJbMLn int NULL,
	TInvTMPSNo nvarchar(30) NULL,
	TInvTJPdNo nvarchar(30) NULL,
	TInvTJPMLn int NULL,
	TInvTSecCode nvarchar(30) NULL,
	TInvTDepCode nvarchar(30) NULL,
	TInvTDivCode nvarchar(30) NULL,
	TInvTBraCode nvarchar(30) NULL,
	TInvFromTBraCode nvarchar(30) NULL,
	TInvTotal money NULL,
	TInvTotalRecord int NULL,
	TInvTotalQuantity float(53) NULL,
	TInvTotalScrap money NULL,
	TInvTotalQScrap float(53) NULL,
	TInvTotalPCScrap float(53) NULL,
	TInvTotalPCQScrap float(53) NULL,
	TInvTotalRecordIn int NULL,
	TInvTotalQInput float(53) NULL,
	TInvTotalAInput money NULL,
	TInvRequestCode nvarchar(30) NULL,
	TInvRequestBy nvarchar(160) NULL,
	TInvDescription nvarchar(100) NULL,
	TInvGLMethod smallint NULL,
	TInvTGLTNo nvarchar(30) NULL,
	TInvDeliveryStatus smallint NULL,
	TInvSpecialFlag smallint NULL,
	TInvIsCompleted smallint NULL,
	TInvCreateBy nvarchar(140) NULL,
	TInvCreateDate datetime NULL,
	TInvEditCode nvarchar(30) NULL,
	TInvEditBy nvarchar(140) NULL,
	TInvEditDate datetime NULL,
	TInvConfirmStatus smallint NULL,
	TInvConfirmBy nvarchar(140) NULL,
	TInvConfirmDate datetime NULL,
	TInvApproveStatus smallint NULL,
	TInvApproveBy nvarchar(140) NULL,
	TInvApproveDate datetime NULL,
	TInvApproveNote nvarchar(80) NULL,
	TInvRevision smallint NULL,
	TInvCancelStatus smallint NULL,
	TInvCancelBy nvarchar(140) NULL,
	TInvCancelDate datetime NULL,
	TInvCancelNote nvarchar(80) NULL,
	TInvFlag1 smallint NULL,
	TInvFlag2 smallint NULL,
	TInvFlag3 smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TInventoryP ADD CONSTRAINT
	PK_VS4TInventoryP PRIMARY KEY CLUSTERED 
	(
	TInvNo
	) ON [PRIMARY]

GO
